--********************
--  EHSD
--  NO INS MODE PAGE
--********************

local mpcd_path = LockOn_Options.script_path.."MPCD/indicator/EHSD/"

dofile(LockOn_Options.script_path.."MPCD/indicator/MPCD_definitions.lua")
dofile(LockOn_Options.script_path.."MPCD/indicator/MENU/MPCD_BG.lua")

-- MENU
-- LEFT
local	ehsd_btn_02				= CreateElement "ceStringPoly"
		ehsd_btn_02.name		= "ehsd_btn_02"
		ehsd_btn_02.material	= mpcd_tpod_font
		ehsd_btn_02.init_pos	= mpcd_btn_02_pos
		ehsd_btn_02.alignment	= "CenterCenter"
		ehsd_btn_02.value		= "D\nA\nT\nA"
		ehsd_btn_02.stringdefs	= MPCD_default_font_size
		ehsd_btn_02.controllers	= {{"EHSD_MAP_NMenu"}}
Add_MPCD_VIDEO_Element(ehsd_btn_02)

local	ehsd_btn_03				= CreateElement "ceStringPoly"
		ehsd_btn_03.name		= "ehsd_btn_03"
		ehsd_btn_03.material	= mpcd_tpod_font
		ehsd_btn_03.init_pos	= mpcd_btn_03_pos
		ehsd_btn_03.alignment	= "CenterCenter"
		ehsd_btn_03.value		= "M\nA\nP\nM"
		ehsd_btn_03.stringdefs	= MPCD_default_font_size
Add_MPCD_VIDEO_Element(ehsd_btn_03)

local	ehsd_btn_04				= CreateElement "ceStringPoly"
		ehsd_btn_04.name		= "ehsd_btn_04"
		ehsd_btn_04.material	= mpcd_tpod_font
		ehsd_btn_04.init_pos	= mpcd_btn_04_pos
		ehsd_btn_04.alignment	= "CenterCenter"
		ehsd_btn_04.value		= "A\nW\nL\nS"
		ehsd_btn_04.stringdefs	= MPCD_default_font_size
		ehsd_btn_04.controllers	= {{"EHSD_MAP_NMenu"}}
Add_MPCD_VIDEO_Element(ehsd_btn_04)

local	ehsd_btn_05				= CreateElement "ceStringPoly"
		ehsd_btn_05.name		= "ehsd_btn_05"
		ehsd_btn_05.material	= mpcd_tpod_font
		ehsd_btn_05.init_pos	= mpcd_btn_05_pos
		ehsd_btn_05.alignment	= "CenterCenter"
		ehsd_btn_05.value		= "T\nC\nN"
		ehsd_btn_05.stringdefs	= MPCD_default_font_size
		ehsd_btn_05.controllers	= {{"EHSD_MAP_NMenu"}}
Add_MPCD_VIDEO_Element(ehsd_btn_05)

-- TOP
local	ehsd_btn_10				= CreateElement "ceStringPoly"
		ehsd_btn_10.name		= "ehsd_btn_10"
		ehsd_btn_10.material	= mpcd_tpod_font
		ehsd_btn_10.init_pos	= mpcd_btn_10_pos
		ehsd_btn_10.alignment	= "CenterCenter"
		ehsd_btn_10.value		= "NSEQ"
		ehsd_btn_10.stringdefs	= MPCD_default_font_size
Add_MPCD_VIDEO_Element(ehsd_btn_10)

-- RIGHT
local	ehsd_btn_11				= CreateElement "ceStringPoly"
		ehsd_btn_11.name		= "ehsd_btn_11"
		ehsd_btn_11.material	= mpcd_tpod_font
		ehsd_btn_11.init_pos	= mpcd_btn_11_pos
		ehsd_btn_11.alignment	= "CenterCenter"
		ehsd_btn_11.value		= "W\nY\nP\nT"
		ehsd_btn_11.stringdefs	= MPCD_default_font_size
		ehsd_btn_11.controllers	= {{"EHSD_MAP_NMenu"}}
Add_MPCD_VIDEO_Element(ehsd_btn_11)

local	ehsd_btn_15				= CreateElement "ceStringPoly"
		ehsd_btn_15.name		= "ehsd_btn_15"
		ehsd_btn_15.material	= mpcd_tpod_font
		ehsd_btn_15.init_pos	= mpcd_btn_15_pos
		ehsd_btn_15.alignment	= "CenterCenter"
		ehsd_btn_15.value		= "E\nC\nM"
		ehsd_btn_15.stringdefs	= MPCD_default_font_size
Add_MPCD_VIDEO_Element(ehsd_btn_15)

-- BOTTOM
local	ehsd_btn_16				= CreateElement "ceStringPoly"
		ehsd_btn_16.name		= "ehsd_btn_16"
		ehsd_btn_16.material	= mpcd_font_base
		ehsd_btn_16.init_pos	= mpcd_btn_16_pos
		ehsd_btn_16.alignment	= "CenterCenter"
		ehsd_btn_16.value		= "DEG/   "
		ehsd_btn_16.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(ehsd_btn_16)

local	ehsd_btn_18				= CreateElement "ceStringPoly"
		ehsd_btn_18.name		= "ehsd_btn_18"
		ehsd_btn_18.material	= mpcd_font_base
		ehsd_btn_18.init_pos	= mpcd_btn_18_pos
		ehsd_btn_18.alignment	= "CenterCenter"
		ehsd_btn_18.value		= "MENU"
		ehsd_btn_18.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(ehsd_btn_18)
